Permalink
Browse files

convention dictates lib/jquery/rails over lib/jquery-rails

  • Loading branch information...
1 parent 6b4417c commit a38fda7e9af4afe010ad616b18357003e8b48cfa @indirect indirect committed May 26, 2011
View
@@ -1,5 +1,5 @@
# -*- encoding: utf-8 -*-
-require File.expand_path('../lib/jquery-rails/version', __FILE__)
+require File.expand_path('../lib/jquery/rails/version', __FILE__)
Gem::Specification.new do |s|
s.name = "jquery-rails"
@@ -1,10 +1,10 @@
-# Configure Rails 3.1 to have assert_select_jquery
+# Configure Rails 3.1 to have assert_select_jquery() in tests
module Jquery
module Rails
class Engine < ::Rails::Engine
config.before_configuration do
- require "jquery-rails/assert_select_jquery" if ::Rails.env.test?
+ require "jquery/assert_select" if ::Rails.env.test?
end
end
@@ -4,7 +4,7 @@ module Rails
class Railtie < ::Rails::Railtie
config.before_configuration do
- require "jquery-rails/assert_select_jquery" if ::Rails.env.test?
+ require "jquery/assert_select" if ::Rails.env.test?
if ::Rails.root.join("public/javascripts/jquery-ui.min.js").exist?
jq_defaults = %w(jquery jquery-ui)
File renamed without changes.

0 comments on commit a38fda7

Please sign in to comment.